List notes in a folder (metadata only)
GET
/folders/list
const url = 'https://api.engram.page/folders/list?folder=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.engram.page/folders/list?folder=example' \ --header 'Authorization: Bearer <token>'Returns metadata (no content) for the notes in the folder named by the required folder query param. Returns 400 when the param is missing.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”folder
required
string
Folder path
Responses
Section titled “Responses”Folder notes
Media typeapplication/json
FolderListResponse
object
folder
required
string
notes
required
Array<object>
NoteMetaobject
content_hash
string
folder
string
id
string format: uuid
mtime
number format: float
parse_reason
Present when parse_status is “degraded”: {code, message, detail}
object
parse_status
Frontmatter parse outcome
string
path
required
string
tags
Array<string>
title
string
updated_at
string format: date-time
version
integer
Example
{ "notes": [ { "parse_status": "ok" } ]}Missing folder param